# AD Account Expiry PS Script

ADAccount Expiry is a PowerShell script that allows AD Admins to export into the Script's Current Directory a CSV report on Active Directory Accounts that are Expired, Expiring within 2 weeks, and/or Disabled..

<br>

### Prerequisites

Before you begin, ensure you have met the following requirements:
-  PowerShell with the [ActiveDirectory](https://docs.microsoft.com/en-us/powershell/module/activedirectory/?view=windowsserver2022-ps) module installed (Windows only).
-  Proper permissions granted by your Admin.

<br>

### Using ADAccount Expiry

To use AD Account Expiry, follow these steps:

1. Place the `ad-account-expiry` folder at a location of your choosing
2. Run the script in PowerShell
3. The report will be exported to the current directory
4. Open the CSV in Excel
5. File > Save As . change extension dropdown to "*.xlsx" > Save
6. You may now apply any formatting/editing to the report prior to submitting it