# AD Commands and Scripts

> **Thank you for visiting!** If you are viewing this repo on GitHub or GitLab, please note that this is just a mirror. Please visit the [originating repo](https://tacksupport.net/git/capntack/AD-Commands-and-Scripts) for any comments, issues, pull requests, etc. You can sign in with your GitHub or GitLab account via Oauth2.

<br>

This is a collection of Command Prompt and PowerShell commands and scripts I have collected and built for working in Windows Active Directory environment. Mostly for my own ease of access from anywhere. But I figured might as well release them into the wild.

There's nothing crazy in here (yet). Just some things I didn't want to commit to memory. These assume you have some know how, but not much. I've made READMEs, comments, and other notes where I felt appropriate. But please read and understand each command/script before using. And of course, feel free to tweak to your own needs.

### Table of Contents:
cmd-commands.md  =  A document collecting Windows Command Line commands
ps-commands.md   =  A document collecting Windows PowerShell commands
ps-scripts/      =  A folder containing various PowerShell scripts